Camera Class Reference

`#include <pcl/outofcore/visualization/camera.h>`

Inheritance diagram for Camera:

## Public Member Functions

| Camera (std::string name)
| Camera (std::string name, vtkSmartPointer< vtkCamera > camera)
vtkSmartPointer< vtkCamera > | getCamera () const
vtkSmartPointer< vtkCameraActor > | getCameraActor () const
vtkSmartPointer< vtkActor > | getHullActor () const
bool | getDisplay () const
void | setDisplay (bool display)
void | getFrustum (double frustum[])
void | setProjectionMatrix (const Eigen::Matrix4d &projection_matrix)
Eigen::Matrix4d | getProjectionMatrix ()
void | setModelViewMatrix (const Eigen::Matrix4d &model_view_matrix)
Eigen::Matrix4d | getModelViewMatrix ()
Eigen::Matrix4d | getViewProjectionMatrix ()
Eigen::Vector3d | getPosition ()
void | setClippingRange (float near_value=0.0001f, float far_value=100000.f)
virtual void | render (vtkRenderer *renderer)
void | computeFrustum ()
void | printFrustum ()
Public Member Functions inherited from Object
| Object (std::string name)
virtual | ~Object ()
std::string | getName () const
void | setName (std::string name)
bool | hasActor (vtkActor *actor)
void | addActor (vtkActor *actor)
void | removeActor (vtkActor *actor)
vtkSmartPointer< vtkActorCollection > | getActors ()

## Additional Inherited Members

Protected Attributes inherited from Object
vtkSmartPointer< vtkActorCollection > | actors_
boost::mutex | actors_mutex_

## Detailed Description

Definition at line 19 of file camera.h.

## Constructor & Destructor Documentation

Camera::Camera | ( | std::string | name | ) |

Camera::Camera | ( | std::string | name,
|  | vtkSmartPointer< vtkCamera > | camera
| ) |  |

## Member Function Documentation

void Camera::computeFrustum | ( |  | ) |

Referenced by setClippingRange().

vtkSmartPointer<vtkCamera> Camera::getCamera | ( |  | ) | const

inline

Definition at line 36 of file camera.h.

Referenced by Viewport::setCamera().

vtkSmartPointer<vtkCameraActor> Camera::getCameraActor | ( |  | ) | const

inline

Definition at line 42 of file camera.h.

bool Camera::getDisplay | ( |  | ) | const

inline

Definition at line 54 of file camera.h.

void Camera::getFrustum | ( | double | frustum[] | ) |

inline

Definition at line 66 of file camera.h.

vtkSmartPointer<vtkActor> Camera::getHullActor | ( |  | ) | const

inline

Definition at line 48 of file camera.h.

Eigen::Matrix4d Camera::getModelViewMatrix | ( |  | ) |

inline

Definition at line 91 of file camera.h.

Eigen::Vector3d Camera::getPosition | ( |  | ) |

inline

Definition at line 103 of file camera.h.

Eigen::Matrix4d Camera::getProjectionMatrix | ( |  | ) |

inline

Definition at line 79 of file camera.h.

Eigen::Matrix4d Camera::getViewProjectionMatrix | ( |  | ) |

inline

Definition at line 97 of file camera.h.

void Camera::printFrustum | ( |  | ) |

Referenced by setClippingRange().

virtual void Camera::render | ( | vtkRenderer * | renderer | ) |

virtual

Reimplemented from Object.

Referenced by setClippingRange().

void Camera::setClippingRange | ( | float | near_value = `0.0001f`,
|  | float | far_value = `100000.f`
| ) |  |

inline

Definition at line 117 of file camera.h.

References computeFrustum(), printFrustum(), and render().

void Camera::setDisplay | ( | bool | display | ) |

inline

Definition at line 60 of file camera.h.

void Camera::setModelViewMatrix | ( | const Eigen::Matrix4d & | model_view_matrix | ) |

inline

Definition at line 85 of file camera.h.

void Camera::setProjectionMatrix | ( | const Eigen::Matrix4d & | projection_matrix | ) |

inline

Definition at line 73 of file camera.h.

The documentation for this class was generated from the following file:

- /build/pcl-6_P28C/pcl-1.7.2/outofcore/include/pcl/outofcore/visualization/camera.h